Package org.eclipse.rdf4j.spring.operationlog.log.jmx

## Class AggregatedOperationStats

- java.lang.Object
- - org.eclipse.rdf4j.spring.operationlog.log.jmx.AggregatedOperationStats

- All Implemented Interfaces:
    `Cloneable`

      public class AggregatedOperationStats
      extends Object
      implements Cloneable

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AggregatedOperationStats()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AggregatedOperationStats` | `build​(OperationExecutionStats stats)` |
    `AggregatedOperationStats` | `buildNext​(OperationExecutionStats stats)` |
    `protected Object` | `clone()` |
    `long` | `getAverageTime()` |
    `int` | `getCount()` |
    `long` | `getCumulativeTime()` |
    `int` | `getFailed()` |
    `String` | `getOperation()` |
    `int` | `getUniqueBindingsCount()` |
    `void` | `setCount​(int count)` |
    `void` | `setCumulativeTime​(long cumulativeTime)` |
    `void` | `setFailed​(int failed)` |
    `void` | `setOperation​(String operation)` |
    `void` | `setUniqueBindingsCount​(int uniqueBindingsCount)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatedOperationStats

          public AggregatedOperationStats()

  - ### Method Detail

    - #### build

          public static AggregatedOperationStats build​(OperationExecutionStats stats)

    - #### clone

          protected Object clone()

      Overrides:
        `clone` in class `Object`

    - #### setUniqueBindingsCount

          public void setUniqueBindingsCount​(int uniqueBindingsCount)

    - #### setOperation

          public void setOperation​(String operation)

    - #### setCount

          public void setCount​(int count)

    - #### setCumulativeTime

          public void setCumulativeTime​(long cumulativeTime)

    - #### setFailed

          public void setFailed​(int failed)

    - #### getAverageTime

          public long getAverageTime()

    - #### getOperation

          public String getOperation()

    - #### getCount

          public int getCount()

    - #### getFailed

          public int getFailed()

    - #### getCumulativeTime

          public long getCumulativeTime()

    - #### getUniqueBindingsCount

          public int getUniqueBindingsCount()

    - #### buildNext

          public AggregatedOperationStats buildNext​(OperationExecutionStats stats)